PDFDocumentNavigationHandler (Apache FOP 2.7 API)
Date: 2022-01-12

org.apache.fop.render.pdf

## Class PDFDocumentNavigationHandler

- java.lang.Object
- - org.apache.fop.render.pdf.PDFDocumentNavigationHandler

- All Implemented Interfaces:
    IFDocumentNavigationHandler

      public class PDFDocumentNavigationHandler
      extends java.lang.Object
      implements IFDocumentNavigationHandler

  Implementation of the `IFDocumentNavigationHandler` interface for PDF output.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PDFDocumentNavigationHandler(PDFDocumentHandler documentHandler)` Default constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addResolvedAction(AbstractAction action)`
    `void` | `commit()` Commits all pending elements to the PDF document.
    `int` | `getPageIndex()`
    `void` | `renderBookmarkTree(BookmarkTree tree)` Render the bookmark tree.
    `void` | `renderLink(Link link)`
    `void` | `renderNamedDestination(NamedDestination destination)` Renders a named destination.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PDFDocumentNavigationHandler

          public PDFDocumentNavigationHandler(PDFDocumentHandler documentHandler)

      Default constructor.
      Parameters:
        `documentHandler` - the parent document handler

  - ### Method Detail

    - #### renderNamedDestination

          public void renderNamedDestination(NamedDestination destination)
                                      throws IFException

      Renders a named destination.
      Specified by:
        `renderNamedDestination` in interface `IFDocumentNavigationHandler`
      Parameters:
        `destination` - the named destination
      Throws:
        `IFException` - if an error occurs while handling this event

    - #### renderBookmarkTree

          public void renderBookmarkTree(BookmarkTree tree)
                                  throws IFException

      Render the bookmark tree.
      Specified by:
        `renderBookmarkTree` in interface `IFDocumentNavigationHandler`
      Parameters:
        `tree` - the bookmark tree
      Throws:
        `IFException` - if an error occurs while handling this event

    - #### renderLink

          public void renderLink(Link link)
                          throws IFException

      Specified by:
        `renderLink` in interface `IFDocumentNavigationHandler`
      Parameters:
        `link` - a link
      Throws:
        `IFException` - of not caught

    - #### commit

          public void commit()

      Commits all pending elements to the PDF document.

    - #### addResolvedAction

          public void addResolvedAction(AbstractAction action)
                                 throws IFException

      Specified by:
        `addResolvedAction` in interface `IFDocumentNavigationHandler`
      Parameters:
        `action` - an action
      Throws:
        `IFException` - of not caught

    - #### getPageIndex

          public int getPageIndex()

      Specified by:
        `getPageIndex` in interface `IFDocumentNavigationHandler`

Copyright 1999-2022 The Apache Software Foundation. All Rights Reserved.